#
# spec file for package python-pytest-tldr
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-tldr
Version:        0.2.1
Release:        bp156.3.1
Summary:        A pytest plugin that limits the output to just the things you need
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/freakboy3742/pytest-tldr
Source:         https://files.pythonhosted.org/packages/source/p/pytest-tldr/pytest-tldr-%{version}.tar.gz
BuildRequires:  %{python_module pytest >= 3.5.0}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 3.5.0
BuildArch:      noarch
%python_subpackages

%description
A pytest plugin that limits the output to just the things you need.

%prep
%setup -q -n pytest-tldr-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# test_coverage is failing
%pytest -k 'not test_coverage'

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Sep  9 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.2.1:
  * no upstream changelog
* Thu Jul 18 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.2.0:
  * no upstream changelog provided
* Mon Jun 10 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.1.6:
  * No upstream changelog provided
* Thu Mar 21 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.1.5
